#!/bin/sh
# Copyright 2012 Tencent.
# Version 1.0.0
# b1399e52addc2dfb53893d25b3ef0e9b  LinkTest

if [ $# -le 1 ]; then
        echo "usage: $0 [ip] [port]"
        exit
fi

IP=$1
PORT=$2


TW_NUM=`netstat -ant |grep TIME_WAIT |wc -l`
echo "TIME_WAIT link $TW_NUM"


TW_REUSE=`cat /proc/sys/net/ipv4/tcp_tw_reuse`
TW_RECYCLE=`cat /proc/sys/net/ipv4/tcp_tw_recycle`
echo "tcp_tw_reuse=$TW_REUSE"
echo "tcp_tw_recycle=$TW_RECYCLE"


#echo 'net.ipv4.tcp_tw_reuse = 1' >> /etc/sysctl.conf
#echo 'net.ipv4.tcp_tw_recycle = 1' >> /etc/sysctl.conf
#echo 1 > /proc/sys/net/ipv4/tcp_tw_reuse
#echo 1 > /proc/sys/net/ipv4/tcp_tw_recycle

PKG_LOSS=`ping -f $IP -c 10000|grep loss`
echo $PKG_LOSS


CPU_USE=`ps aux|awk '{print \$3}' |sort |tail -n 5`
echo -n "CPU "
echo $CPU_USE

DISK_USE=`df -h |awk '{print $5}' |grep -v se`
echo -n "DISK "
echo $DISK_USE

./LinkTest $IP $PORT

